EZMATCH API
Introduction
This API is called "ezmatch" and is designed to provide a matching service for merchants. The input parameters include information about the merchant, such as their name, address, and service provider legal name, as well as details about their principal, such as their name, phone number, and driver's license information. The API uses this information to perform a search and provide a list of possible matches based on the provided criteria.
Sample cURL
curl --location --request POST 'https://signzy.tech/api/v2/patrons/..your-patron-id../riskscores' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "ezmatch",
"essentials": {
"merchantInformation": {
"acquirerId": "..acquirerId..",
"merchant": {
"name": "...name...",
"doingBusinessAsName": "...doingBusinessAsName...",
"address": {
"line1": "...line1...",
"line2": "...line2...",
"city": "...city...",
"countrySubdivision": "...countrySubdivision...",
"postalCode": "...postalCode...",
"country": "...country..."
},
"serviceProvLegal": "...serviceProvLegal...",
"principal": [
{
"firstName": "...firstName...",
"lastName": "...lastName...",
"phoneNumber": "...phoneNumber...",
"address": {
"line1": "...line1...",
"line2": "...line2...",
"city": "...city...",
"countrySubdivision": "...countrySubdivision...",
"postalCode": "...postalCode...",
"country": "...country..."
},
"driversLicense": {
"driversLicenseNumber ": "...driversLicenseNumber ...",
"driversLicenseCountry ": "...driversLicenseCountry ...",
"driversLicenseProvince ": "...driversLicenseProvince ..."
}
}
],
"searchCriteria": {
"searchAll": "...searchAll...",
"minPossibleMatchCount": "...minPossibleMatchCount..."
}
}
}
}
}'Input Parameters
PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
acquirerId | Acquirer Id of the bank | String | COMPULSORY |
merchant | Merchant Information | Object | COMPULSORY |
address | The address of the business(merchant) | Object | COMPULSORY |
line1 | addressline of the business(merchant) | String | COMPULSORY |
line2 | additional addressline of the business(merchant) | String | OPTIONAL |
city | city of the business(merchant) | String | COMPULSORY |
countrySubdivision | countrySubdivision of the business(merchant)  Note:  Compulsory only when countrycode is USA or CAN | String | OPTIONAL |
country | country of the business(merchant) | String | COMPULSORY |
postalCode | postalCode of the business(merchant) | String | COMPULSORY |
name | Name of the business(merchant). | String | COMPULSORY |
doingBusinessAsName | Doing Business As Name of the business(merchant). | String | OPTIONAL |
principal | Principal Information of the business | Object | COMPULSORY |
firstName | First Name of the the principal owner of the business(principal) | String | COMPULSORY |
lastName | Last Name of the the principal owner of the business(principal) | String | COMPULSORY |
phoneNumber | Phone Number of the the principal owner of the business(principal) | String | OPTIONAL |
driversLicense | Drivers License of the the principal owner of the business(principal) | String | OPTIONAL |
driversLicenseNumber | Drivers License Number of the the principal owner of the business(principal) | String | OPTIONAL |
driversLicenseCountry | Drivers License Country of the the principal owner of the business(principal) | String | OPTIONAL |
driversLicenseProvince | Drivers License Province of the the principal owner of the business(principal) | String | OPTIONAL |
address | The address of the principal owner of the business(principal) | Object | COMPULSORY |
line1 | addressline of the principal owner of the business(principal) | String | COMPULSORY |
line2 | additional addressline of the principal owner of the business(principal) | String | OPTIONAL |
city | city of the principal owner of the business(principal) | String | COMPULSORY |
countrySubdivision | countrySubdivision of the principal owner of the business(principal) | String | COMPULSORY |
country | country of the principal owner of the business(principal) | String | COMPULSORY |
postalCode | postalCode of the principal owner of the business(principal) | String | COMPULSORY |
serviceProvLegal | Service Provider Legal Name of the business | String | OPTIONAL |
searchCriteria | Search Criteria | Object | COMPULSORY |
searchAll | Search All Flag for Search Criteria | String | COMPULSORY |
minPossibleMatchCount | Minimum Possible Merchant Count for Search Criteria | String | COMPULSORY |
Sample Response
{
"result": {
"numberOfTerminatedMerchants": "...numberOfTerminatedMerchants...",
"possibleMerchantMatches": {
"terminatedMerchant": [{
"merchant": {
"addedByAquirerID": "...addedByAquirerID...",
"addedOnDate": "...addedOnDate...",
"terminationReasonCode": "...terminationReasonCode...",
"terminationReasonMessage": "...terminationReasonMessage...",
"urlGroup": [],
"name": "...name...",
"doingBusinessAsName": "...doingBusinessAsName...",
"address": {
"line1": "...line1...",
"city": "...city...",
"countrySubdivision": "...countrySubdivision...",
"postalCode": "...postalCode...",
"line2": "...line2...",
"country": "...country..."
},
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalTaxId": "...nationalTaxId...",
"countrySubdivisionTaxId": "...countrySubdivisionTaxId...",
"serviceProvLegal": "...serviceProvLegal...",
"serviceProvDBA": "...serviceProvDBA...",
"url": "...url...",
"principal": [{
"firstName": "...firstName...",
"lastName": "...lastName...",
"address": {
"line1": "...line1...",
"city": "...city...",
"countrySubdivision": "...countrySubdivision...",
"postalCode": "...postalCode...",
"line2": "...line2...",
"country": "...country..."
},
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalId": "...nationalId...",
"driversLicense": {
"number": "...number...",
"countrySubdivision": "...countrySubdivision...",
"country": "...country..."
}
}]
},
"merchantMatch": {
"address": "...address...",
"principalMatch": [{
"name": "...name...",
"address": "...address...",
"nameDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"addressDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"phoneNumberDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"altPhoneNumberDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"nationalIdDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"driversLicenseDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"firstName": "...firstName...",
"lastName": "...lastName...",
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalId": "...nationalId..."
}],
"merchantMatchDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"nameDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"doingBusinessAsNameDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"addressDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"phoneNumberDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"altPhoneNumberDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"nationalTaxIdDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"countrySubdivisionTaxIdDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"serviceProvLegalDetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"serviceProvDBADetails": {
"severity": "...severity...",
"severityDescription": "...severityDescription...",
"status": "...status..."
},
"name": "...name...",
"doingBusinessAsName": "...doingBusinessAsName...",
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalTaxId": "...nationalTaxId...",
"countrySubdivisionTaxId": "...countrySubdivisionTaxId...",
"serviceProvLegal": "...serviceProvLegal...",
"serviceProvDBA": "...serviceProvDBA...",
"url": "...url...",
"principal": []
}
}]
},
"possibleInquiryMatches": {
"inquiredMerchant": [{
"merchant": {
"addedByAquirerID": "...addedByAquirerID...",
"addedOnDate": "...addedOnDate...",
"terminationReasonCode": "...terminationReasonCode...",
"terminationReasonMessage": "...terminationReasonMessage...",
"urlGroup": [],
"name": "...name...",
"doingBusinessAsName": "...doingBusinessAsName...",
"address": {
"line1": "...line1...",
"city": "...city...",
"countrySubdivision": "...countrySubdivision...",
"postalCode": "...postalCode...",
"line2": "...line2...",
"country": "...country..."
},
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalTaxId": "...nationalTaxId...",
"countrySubdivisionTaxId": "...countrySubdivisionTaxId...",
"serviceProvLegal": "...serviceProvLegal...",
"serviceProvDBA": "...serviceProvDBA...",
"url": "...url...",
"principal": [{
"firstName": "...firstName...",
"lastName": "...lastName...",
"address": {
"line1": "...line1...",
"city": "...city...",
"countrySubdivision": "...countrySubdivision...",
"postalCode": "...postalCode...",
"line2": "...line2...",
"country": "...country..."
},
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalId": "...nationalId...",
"driversLicense": {
"number": "...number...",
"countrySubdivision": "...countrySubdivision...",
"country": "...country..."
}
}]
},
"merchantMatch": {
"address": "...address...",
"principalMatch": [{
"name": "...name...",
"address": "...address...",
"nameDetails": {
"severity": "...severity...",
"status": "...status..."
},
"addressDetails": {
"severity": "...severity...",
"status": "...status..."
},
"phoneNumberDetails": {
"severity": "...severity...",
"status": "...status..."
},
"altPhoneNumberDetails": {
"severity": "...severity...",
"status": "...status..."
},
"nationalIdDetails": {
"severity": "...severity...",
"status": "...status..."
},
"driversLicenseDetails": {
"severity": "...severity...",
"status": "...status..."
},
"firstName": "...firstName...",
"lastName": "...lastName...",
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalId": "...nationalId..."
}],
"merchantMatchDetails": {
"severity": "...severity...",
"status": "...status..."
},
"nameDetails": {
"severity": "...severity...",
"status": "...status..."
},
"doingBusinessAsNameDetails": {
"severity": "...severity...",
"status": "...status..."
},
"addressDetails": {
"severity": "...severity...",
"status": "...status..."
},
"phoneNumberDetails": {
"severity": "...severity...",
"status": "...status..."
},
"altPhoneNumberDetails": {
"severity": "...severity...",
"status": "...status..."
},
"nationalTaxIdDetails": {
"severity": "...severity...",
"status": "...status..."
},
"countrySubdivisionTaxIdDetails": {
"severity": "...severity...",
"status": "...status..."
},
"serviceProvLegalDetails": {
"severity": "...severity...",
"status": "...status..."
},
"serviceProvDBADetails": {
"severity": "...severity...",
"status": "...status..."
},
"name": "...name...",
"doingBusinessAsName": "...doingBusinessAsName...",
"phoneNumber": "...phoneNumber...",
"altPhoneNumber": "...altPhoneNumber...",
"nationalTaxId": "...nationalTaxId...",
"countrySubdivisionTaxId": "...countrySubdivisionTaxId...",
"serviceProvLegal": "...serviceProvLegal...",
"serviceProvDBA": "...serviceProvDBA...",
"url": "...url...",
"principal": []
}
}]
}
}
}Output Parameters
PARAMETERS | DESCRIPTION | TYPE |
|---|---|---|
numberOfTerminatedMerchants | Determines how many minimum matches are needed for a merchant or inquiry to appear in the results. | String |
addedByAquirerID | The Member ICA that has added the merchant to the MATCH system | String |
addedOnDate | The date on which the merchant was added to the MATCH system. Format: MM/DD/YYY | String |
terminationReasonCode | A two digit numeric code indication why a particular merchant was terminated. | String |
terminationReasonMessage | Description of terminationReasonCode | String |
urlGroup |  | Array of Objects |
exactMatchUrls |  | Object |
url | The exactly matched URL of Merchant. The results may return 0 or more URLs. | Array |
urlDetails |  | Object |
severity | The Severity of the match as set by the Acquirer Bank. | String |
status | The current status of the match set be the Acquirer Bank. "NotCleared" items require review by the Payment Facilitator or Acquirer depending on Acquirer configuration. Allowed values: "Cleared", "NotCleared", "ConfirmedHit" | String |
closeMatchUrls | The closely matched URL of Merchant. The results may return 0 or more URLs. | Object |
noMatchUrls | The unmatched URL of Merchant.The results may return 0 or more URLs. | Object |
name | The name of the Business which has been terminated. | String |
doingBusinessAsName | The name used by a merchant that could be different from the legal name of the business. Such as Bait R Us instead of the legal name, The Bait Shop. | String |
address |  | Object |
line1 | Line 1 of the street address for the Merchant's location. Usually includes street number and name. | String |
line2 | Line 2 of the street address, usually an apartment number or suite number. | String |
city | The name of the city for a merchant location. | String |
countrySubdivision | The abbreviated state or countrySubdivision code for a merchant location (only supported for US and Canada merchants) | String |
postalCode | The US Post Office Zip Code for the address of the merchant; if outside the U.S. region, the approved postal code for that country will be used. | String |
country | The country code for a country | String |
countrySubdivisionTaxId | The Merchant's state tax ID; for the U.S region only. Return value will be obfuscated. | String |
phoneNumber | The Business or Merchant's phone number. | String |
altPhoneNumber | The Business or Merchant's alternate phone number. | String |
countrySubdivisionTaxId | The Merchant's state tax ID; for the U.S region only. Return value will be obfuscated | String |
nationalTaxId | The National tax ID or business registration number. Return value will be obfuscated | String |
serviceProvLegal | The name of the service provider associated with the merchant listed in the MATCH | String |
serviceProvDBA | The name of the service provider associated with the merchant listed in the MATCH | String |
principal |  | Object |
firstName | The first name of a principal owner. Return value will be obfuscated when the Termination of the Merchant was due to Identity Theft. The results may return up to 5 principal owners. | String |
lastName | The last name of a principal owner. Return value will be obfuscated when the Termination of the Merchant was due to Identity Theft. The results may return information for up to 5 principal owners. | String |
nationalId | Social Security of a principal owner; if outside the U.S. Region, the national ID card number; may return up to 5 principal owners Social Security or National Ids. The results may return information for up to 5 principal owners. Return value will be obfuscated. | String |
phoneNumber | The phone number of a principal owner. The results may return information for up to 5 principal owners. | String |
altPhoneNumber | The alternate phone number of a principal owner. The results may return information for up to 5 principal owners. | String |
address |  | Object |
line1 | Line 1 of the street address for the principal owner location. Usually includes street number and name. | String |
line2 | Line 2 of the street address, usually an apartment number or suite number. | String |
city | The name of the city for a principal owner. | String |
countrySubdivision | The abbreviated state or countrySubdivision code for a principal owner location (only supported for US and Canada merchants). | String |
postalCode | The US Post Office Zip code for the address of the principal owner; If outside the U.S. region, the approved postal code. | String |
country | The country code for a country. | String |
driversLicense |  | Object |
number | The driver's license number of a principal owner. The results may return up to 5 principal owner drivers' licenses. | String |
countrySubdivision | The state or countrySubdivision the principal owners driver's license was issued in; U.S. Region and Canada only | String |
country | The country code of the country the principal owners driver's license was issue in. | String |
merchantMatch | Describes if the data input matches any data within the MATCH service | Object |
merchantInquiryMatch | Describes if the data input matches any inquiry data within the MATCH service | Object |